
# coding: utf-8

# This notebook is part of the $\omega radlib$ documentation: http://wradlib.org/wradlib-docs.
# 
# Copyright (c) 2016, $\omega radlib$ developers.
# Distributed under the MIT License. See LICENSE.txt for more info.

# # An incomplete introduction to Python

# In order to use $\omega radlib$, you need to be able to use Python. The notebooks in this section will give you a glimpse of the Python language and important scientific packages, confront you with some Python exercises, and refer you to further online material. In addition, we will address some issues that are relevant to $\omega radlib$, but do not necessarily address $\omega radlib$ functionality.
# 
# As an introduction to scientific python, **this section is necessarily incomplete**. There are better and more comprehensive courses such as the [SciPy Lecture Notes](http://www.scipy-lectures.org/index.html) or the [Dive into Python](http://www.diveintopython3.net/) book. 
# 
# Mostly, we will assume that you have some basic knowledge about programming, e.g. from other interpreted langauages such as [R](https://www.r-project.org/) or Matlab. Otherwise, a fundamental course such as [Dive into Python](http://www.diveintopython3.net/) might help you more.

# ## List of Python related articles in this section
# 
# - [A quick start to Python](python/quickstart.ipynb)
# - [Numpy: manipulating numerical data](python/numpyintro.ipynb)
# - [Visualising data with Matplotlib](python/mplintro.ipynb)
# - [Dealing with time series](python/timeseries.ipynb)
# - [Using virtual environments](python/virtenvs.ipynb)
# - [Integrated Development Environments for Python](../ide.rst)
